baloosearch not completely honoring --directory option

Bug #1704557 reported by PascalC on 2017-07-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Baloo
Fix Released
Medium
baloo (Ubuntu)
Undecided
Unassigned

Bug Description

baloosearch is not processing the option --directory correctly

Exemple :

pascal@minipc:~$ baloosearch --directory /home/pascal/tmp/ zzzz
/home/pascal/tmp/newdocs/Nexus Volumes 15-19/Nexus Volumes 17 & 18/Volume 18 -/Nexus1804.pdf
/home/pascal/logs/freenodessl_##linux.log
/home/pascal/logs/freenodessl_#ubuntu.log
/home/pascal/logs/freenodessl_#freenode.log
/home/pascal/logs/freenodessl_#kubuntu.log
Elapsed: 17.5459 msecs

Only the first line should be listed.

pascal@minipc:~$ ls -ld /home/pascal/tmp
drwx--x---+ 79 pascal pascal 32768 juil. 14 23:28 /home/pascal/tmp

pascal@minipc:~$ ls -ld /home/pascal/logs
drwxrwxr-x 2 pascal pascal 4096 avril 17 12:44 /home/pascal/logs

pascal@minipc:~$ balooctl status
L'indexation de fichiers Baloo est active.
État de l'indexation : Inactif
Indexation de 447038 / 447038 fichiers
Current size of index is 15,17 Gio

pascal@minipc:~$ balooctl config ls hidden
no

pascal@minipc:~$ balooctl config ls contentIndexing
yes

pascal@minipc:~$ balooctl config ls includeFolders
/home/pascal
/mnt/pc

pascal@minipc:~$ balooctl config ls excludeFolders
/mnt/pc/backup_minipc
/mnt/pc/backup_minipc2
/mnt/pc/backup_minipc2iso

pascal@minipc:~$ balooctl config ls excludeFilters
*.csproj
autom4te
*.part
.bzr
*.m4
*.rcore
CVS
lost+found
confstat
@eaDir
CTestTestfile.cmake
*.omf
.moc
*.swap
CMakeFiles
*~
litmain.sh
confdefs.h
CMakeTmpQmake
.hg
*.class
__pycache__
*.po
CMakeTmp
*.lo
config.status
*.tmp
.obj
.pch
moc_*.cpp
conftest
.git
*.la
ui_*.h
*.loT
_darcs
*.o
libtool
cmake_install.cmake
.svn
*.nvram
.xsession-errors*
lzo
*.orig
*.pc
*.pyc
*.moc
po
.uic
*.aux
.histfile.*
*.gmo
core-dumps
*.rej
CMakeCache.txt
qrc_*.cpp
Makefile.am
*.elc
.directory
*.vm*
pascal@minipc:~$ balooctl config ls excludeMimetypes
text/x-csrc
application/x-csh
application/x-perl
text/x-chdr
text/x-scheme
text/x-pascal
application/x-javascript
text/x-java
application/x-java
application/x-awk
text/x-python
application/x-sh
text/css
text/x-c++src
application/x-cgi
text/x-haskell
application/x-ipynb+json
text/x-ruby
text/x-assembly
text/x-sed
text/x-yacc
application/x-php
text/x-c++hdr
text/x-objsrc
application/x-python
text/asp

My current version is the following, but this happens too with the basic kubuntu 1704 version.

apt-cache show baloo-kf5
Package: baloo-kf5
Priority: optional
Section: utils
Installed-Size: 1712
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <email address hidden>
Architecture: amd64
Version: 5.36.0-0ubuntu1~ubuntu17.04~ppa1
Replaces: baloo (<< 4:5.0), baloo4, kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-ca-valencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2)
Depends: kio, libc6 (>= 2.14), libkf5baloo5 (>= 5.16.0), libkf5balooengine5, libkf5configcore5 (>= 4.97.0), libkf5coreaddons5 (>= 4.100.0), libkf5crash5 (>= 4.96.0), libkf5dbusaddons5 (>= 4.97.0), libkf5filemetadata3 (>= 5.1.0.1), libkf5i18n5 (>= 4.97.0), libkf5idletime5 (>= 4.96.0), libkf5kiocore5 (>= 4.96.0), libkf5solid5 (>= 4.97.0), libqt5core5a (>= 5.7.0), libqt5dbus5 (>= 5.6.1~), libqt5gui5 (>= 5.6.1~) | libqt5gui5-gles (>= 5.6.1~), libqt5qml5 (>= 5.0.2), libqt5widgets5 (>= 5.6.1~), libstdc++6 (>= 4.2.1)
Breaks: baloo (<< 4:5.0), baloo4, kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-ca-valencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2)
Filename: pool/main/b/baloo-kf5/baloo-kf5_5.36.0-0ubuntu1~ubuntu17.04~ppa1_amd64.deb
Size: 262750
MD5sum: 39ca759a1c8ba8873f09764545bc420a
SHA1: 8e1d49f6928b9c67f457793d98bd8886314663e1
SHA256: 361e67c0b8ac0acd6a30d25d4b4bcf99dad40109dace2492b59a1ee949a6e50d
Description-en: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
Description-md5: 07b1ed1c2590cf6708b1c4a06b365759

Package: baloo-kf5
Priority: extra
Section: universe/utils
Installed-Size: 1681
Maintainer: Ubuntu Developers <email address hidden>
Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <email address hidden>
Architecture: amd64
Version: 5.31.0-0ubuntu2
Replaces: baloo (<< 4:5.0), baloo4, kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-ca-valencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2)
Depends: kio, libc6 (>= 2.14), libkf5baloo5 (>= 5.16.0), libkf5balooengine5, libkf5configcore5 (>= 4.97.0), libkf5coreaddons5 (>= 4.100.0), libkf5crash5 (>= 4.96.0), libkf5dbusaddons5 (>= 4.97.0), libkf5filemetadata3 (>= 5.1.0.1), libkf5i18n5 (>= 4.97.0), libkf5idletime5 (>= 4.96.0), libkf5kiocore5 (>= 4.96.0), libkf5solid5 (>= 4.97.0), libqt5core5a (>= 5.7.0), libqt5dbus5 (>= 5.6.1~), libqt5gui5 (>= 5.6.1~) | libqt5gui5-gles (>= 5.6.1~), libqt5qml5 (>= 5.0.2), libqt5widgets5 (>= 5.6.1~), libstdc++6 (>= 4.2.1)
Breaks: baloo (<< 4:5.0), baloo4, kde-l10n-ar (<< 4:4.14.0-2), kde-l10n-bg (<< 4:4.14.0-2), kde-l10n-bs (<< 4:4.14.0-2), kde-l10n-ca (<< 4:4.14.0-2), kde-l10n-ca-valencia (<< 4:4.14.0-2), kde-l10n-cs (<< 4:4.14.0-2), kde-l10n-da (<< 4:4.14.0-2), kde-l10n-de (<< 4:4.14.0-2), kde-l10n-el (<< 4:4.14.0-2), kde-l10n-engb (<< 4:4.14.0-2), kde-l10n-eo (<< 4:4.14.0-2), kde-l10n-es (<< 4:4.14.0-2), kde-l10n-et (<< 4:4.14.0-2), kde-l10n-eu (<< 4:4.14.0-2), kde-l10n-fa (<< 4:4.14.0-2), kde-l10n-fi (<< 4:4.14.0-2), kde-l10n-fr (<< 4:4.14.0-2), kde-l10n-ga (<< 4:4.14.0-2), kde-l10n-gl (<< 4:4.14.0-2), kde-l10n-he (<< 4:4.14.0-2), kde-l10n-hi (<< 4:4.14.0-2), kde-l10n-hr (<< 4:4.14.0-2), kde-l10n-hu (<< 4:4.14.0-2), kde-l10n-ia (<< 4:4.14.0-2), kde-l10n-id (<< 4:4.14.0-2), kde-l10n-is (<< 4:4.14.0-2), kde-l10n-it (<< 4:4.14.0-2), kde-l10n-ja (<< 4:4.14.0-2), kde-l10n-kk (<< 4:4.14.0-2), kde-l10n-km (<< 4:4.14.0-2), kde-l10n-ko (<< 4:4.14.0-2), kde-l10n-lt (<< 4:4.14.0-2), kde-l10n-lv (<< 4:4.14.0-2), kde-l10n-mr (<< 4:4.14.0-2), kde-l10n-nb (<< 4:4.14.0-2), kde-l10n-nds (<< 4:4.14.0-2), kde-l10n-nl (<< 4:4.14.0-2), kde-l10n-nn (<< 4:4.14.0-2), kde-l10n-pa (<< 4:4.14.0-2), kde-l10n-pl (<< 4:4.14.0-2), kde-l10n-pt (<< 4:4.14.0-2), kde-l10n-ptbr (<< 4:4.14.0-2), kde-l10n-ro (<< 4:4.14.0-2), kde-l10n-ru (<< 4:4.14.0-2), kde-l10n-sk (<< 4:4.14.0-2), kde-l10n-sl (<< 4:4.14.0-2), kde-l10n-sr (<< 4:4.14.0-2), kde-l10n-sv (<< 4:4.14.0-2), kde-l10n-tr (<< 4:4.14.0-2), kde-l10n-ug (<< 4:4.14.0-2), kde-l10n-uk (<< 4:4.14.0-2), kde-l10n-wa (<< 4:4.14.0-2), kde-l10n-zhcn (<< 4:4.14.0-2), kde-l10n-zhtw (<< 4:4.14.0-2)
Filename: pool/universe/b/baloo-kf5/baloo-kf5_5.31.0-0ubuntu2_amd64.deb
Size: 250070
MD5sum: fb33b947f704e313ab9c0becbc9d8908
SHA1: 1a88e27465c50dd08b6639c1ecc6df3d53dbd2dc
SHA256: 7067314c69ebfefa37655342f58c0aa08f234f6fd07438c62bb386f39d792a3a
Description-en: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
Description-md5: 07b1ed1c2590cf6708b1c4a06b365759
Homepage: https://projects.kde.org/projects/frameworks/baloo
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Task: kubuntu-desktop, kubuntu-full

Changed in baloo:
importance: Unknown → Medium
status: Unknown → New
Changed in baloo:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.